{% extends 'base.html.twig' %}

{% block title %}IdentityCard index{% endblock %}

{% block body %}
    <h1>IdentityCard index</h1>

    <table class="table">
        <thead>
            <tr>
                <th>Id</th>
                <th>IdentityCardNumber</th>
                <th>FirstName</th>
                <th>LastName</th>
                <th>BirthDate</th>
                <th>FatherName</th>
                <th>MotherName</th>
                <th>IdentityCreationDate</th>
                <th>Address</th>
                <th>actions</th>
            </tr>
        </thead>
        <tbody>
        {% for identity_card in identity_cards %}
            <tr>
                <td>{{ identity_card.id }}</td>
                <td>{{ identity_card.identityCardNumber }}</td>
                <td>{{ identity_card.firstName }}</td>
                <td>{{ identity_card.lastName }}</td>
                <td>{{ identity_card.birthDate ? identity_card.birthDate|date('Y-m-d') : '' }}</td>
                <td>{{ identity_card.fatherName }}</td>
                <td>{{ identity_card.motherName }}</td>
                <td>{{ identity_card.identityCreationDate ? identity_card.identityCreationDate|date('Y-m-d') : '' }}</td>
                <td>{{ identity_card.address }}</td>
                <td>
                    <a href="{{ path('app_identity_card_show', {'id': identity_card.id}) }}">show</a>
                    <a href="{{ path('app_identity_card_edit', {'id': identity_card.id}) }}">edit</a>
                </td>
            </tr>
        {% else %}
            <tr>
                <td colspan="9">no records found</td>
            </tr>
        {% endfor %}
        </tbody>
    </table>

    <a href="{{ path('app_identity_card_new') }}">Create new</a>
{% endblock %}
